ONVIF::Media::Elements::GetSnapshotUriResponse(3)

NAME
ONVIF::Media::Elements::GetSnapshotUriResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetSnapshotUriResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   MediaUri

     $element->set_MediaUri($data);
     $element->get_MediaUri();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetSnapshotUriResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   MediaUri =>  { # ONVIF::Media::Types::MediaUri
     Uri =>  $some_value, # anyURI
     InvalidAfterConnect =>  $some_value, # boolean
     InvalidAfterReboot =>  $some_value, # boolean
     Timeout =>  $some_value, # duration
   },
 },

AUTHOR
Generated by SOAP::WSDL